This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 871383 - (cobbler) Broken configuration for httpd 2.4
Broken configuration for httpd 2.4
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: cobbler (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: James C.
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 871373
  Show dependency treegraph
 
Reported: 2012-10-30 07:15 EDT by Remi Collet
Modified: 2013-07-01 02:07 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-18 15:31:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2012-10-30 07:15:03 EDT
please review /etc/httpd/conf.d/cobbler.conf
Comment 1 Jacob Hunt 2013-01-02 15:27:19 EST
I made the following changes to /etc/httpd/conf.d/cobbler.conf for the webui to work on my installation on Fedora 18:

--- /etc/cobbler/cobbler.conf   2012-12-12 03:41:02.000000000 -0700
+++ /etc/httpd/conf.d/cobbler.conf      2013-01-02 13:23:44.457602191 -0700
@@ -10,9 +10,16 @@
 WSGIScriptAliasMatch ^/cblr/svc/([^/]*) /var/www/cobbler/svc/services.py
 
 <Directory "/var/www/cobbler">
+  <IfModule mod_authz_core.c>
+    # Apache 2.4
+    Require all granted
+  </IfModule>
+  <IfModule !mod_authz_core.c>
+    # Apache 2.2
     Options Indexes FollowSymLinks
     Order allow,deny
     Allow from all
+  </IfModule>
 </Directory>
 
 ProxyRequests off
@@ -27,8 +34,28 @@
 # this is only a pointer to the new page.
 
 <Directory "/var/www/cobbler/web/">
+  <IfModule mod_authz_core.c>
+    # Apache 2.4
+    Require all granted
+  </IfModule>
+  <IfModule !mod_authz_core.c>
+    # Apache 2.2
     Options Indexes FollowSymLinks
     Order allow,deny
     Allow from all
+  </IfModule>
+</Directory>
+
+<Directory "/usr/share/cobbler/web/">
+  <IfModule mod_authz_core.c>
+    # Apache 2.4
+    Require all granted
+  </IfModule>
+  <IfModule !mod_authz_core.c>
+    # Apache 2.2
+    Options Indexes FollowSymLinks
+    Order allow,deny
+    Allow from all
+  </IfModule>
 </Directory>


I am using versions:

cobbler-2.4.0-beta3.fc18.noarch
cobbler-web-2.4.0-beta3.fc18.noarch

I had to add the section of /usr/share/cobbler/web/ to avoid the following error:

[authz_core:error] [pid 20905] [client 172.31.16.27:50589] AH01630: client denied by server configuration: /usr/share/cobbler/web/cobbler.wsgi

-Jacob
Comment 2 Fedora Update System 2013-01-08 04:54:55 EST
cobbler-2.4.0-beta3.fc18.1 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/cobbler-2.4.0-beta3.fc18.1
Comment 3 Fedora Update System 2013-01-08 15:18:01 EST
Package cobbler-2.4.0-beta3.fc18.1:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cobbler-2.4.0-beta3.fc18.1'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-0429/cobbler-2.4.0-beta3.fc18.1
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-01-18 15:31:38 EST
cobbler-2.4.0-beta3.fc18.1 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Shawn 2013-07-01 02:07:08 EDT
This problem is back in beta 5 and 2.4.0.1

Note You need to log in before you can comment on or make changes to this bug.